Class | Sequel::SQL::Blob
In: | lib/sequel/sql.rb
Parent: | ::String

`Blob` is used to represent binary data in the Ruby environment that is stored as a blob type in the database. Sequel represents binary data as a Blob object because most database engines require binary data to be escaped differently than regular strings.

### Methods

lit to_sequel_blob

### Included Modules

SQL::AliasMethods SQL::CastMethods

### Public Instance methods

lit(*args)

Return a LiteralString with the same content if no args are given, otherwise return a SQL::PlaceholderLiteralString with the current string and the given args.

[Source]

         # File lib/sequel/sql.rb, line 877
    877:       def lit(*args)
    878:         args.empty? ? LiteralString.new(self) : SQL::PlaceholderLiteralString.new(self, args)
    879:       end

to_sequel_blob()

Returns `self`, since it is already a blob.

[Source]

         # File lib/sequel/sql.rb, line 882
    882:       def to_sequel_blob
    883:         self
    884:       end

[Validate]